Channels

List channels in a project

GET
/api/projects/{projectId}/channels

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
channels*array<>
Example Request
curl -X GET 'https://postbot.example/api/projects/string/channels'
Example Response
{
  "channels": [
    {
      "id": "string",
      "projectId": "string",
      "name": "string",
      "profileVersionId": "string",
      "state": "active",
      "archivedAt": -9007199254740991,
      "revision": -9007199254740991,
      "createdAt": -9007199254740991,
      "updatedAt": -9007199254740991,
      "profileId": "string",
      "execution": {
        "kind": "manual"
      }
    }
  ]
}

Was this page helpful?